Subject: Re: WU-FTPD and LDAP

From: "James O'Byrne" <[email-masked]>
Date: Tue, 17 Feb 1998 14:16:22 -0500

>
>     Greetings
>     
>     I read an article that you posted wrt to wu-ftpd using LDAP for 
>     authentication....
>     
>     Did you manage to get anywhere with this?
>     
>     I am looking for some wu-ftpd src or a patch that can use LDAP for 
>     authentication... any ideas as to where I can find this?
>     
>     tia
> 
>     ciao
>   
>     --
>     John

As a matter of fact we did do a little work to patch WU-FTPD to use LDAP
authentication.
It is in place and being thoroughly tested at the the present.  We did a
lot of in-house development to which I am not privy to release, but what
I can say is:

We did develop code to return a pointer identical to the one returned by
getpwnam, if you have a look at the man pages for LDAP or at the book
LDAP by Tim Howes, Ph.D and Mark Smith, you can practically build you
own getLDAP library.

If you develop a getLDAP similar to the getpwnam, you can simply replace
the code references to getLDAP  and remove the SHADOW passwd option in
your compile.

That was all it took.
I am unfortunately not able to release you the source code... but I
think you have the general idea anyway.

James
-- 
mailto:[email-masked]